#ifndef MARS_MGFadcDisp
#define MARS_MGFadcDisp

#ifndef MARS_MGEvtDisplay
#include "MGEvtDisplay.h"
#endif

class TGListBox;
class MRawEvtData;

class MGFadcDisp : public MGEvtDisplay
{
private:
    TGListBox   *fPixelList;

    void AddSetupElements();
    void UpdateDisplay();
    void DisplayPixel(Int_t lastsel=-1, Bool_t update=kTRUE);

    MRawEvtData *GetEvent() const;

public:

    MGFadcDisp(const char *filename, const char *treename,
               const TGWindow *p, /*const TGWindow *main,*/ UInt_t w, UInt_t h);

    virtual Bool_t ProcessMessage(Long_t msg, Long_t parm1, Long_t parm2);

    ClassDef(MGFadcDisp, 0) // Display for single pixel fadc data
};

#endif


